// Copyright 2007 Tapio Auvinen, Erik Fallenius, Ville Karavirta,
// Jussi Nikander, and Harri Salonen
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package cexer;

public class CourseWrapper {
    private Course c;
    private boolean selected;

    public CourseWrapper(Course co, boolean b) {
	c = co;
	selected = b;
    }

    public CourseWrapper(Course co) {
	c = co;
	selected = false;
    }

    public boolean isSelected() {
	return selected;
    }

    public void setSelected(boolean b) {
	selected = b;
    }

    public Course getCourse() {
	return c;
    }

    public void setCourse(Course co) {
	c = co;
    }
}
