// Copyright 2007 Tapio Auvinen, Erik Fallenius, Ville Karavirta,
// Jussi Nikander, and Harri Salonen
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package cexer.util;

public class Lock {

    private Integer key;
    private Object lock_id;
    private long timestamp;


    public Lock(Integer key, Object id, long tt) {
	this.key = key;
	lock_id = id;
	timestamp = tt;
    }

    public Integer getKey() {
	return key;
    }

    public void setKey(Integer i) {
	key = i;
    }

    public Object getId() {
	return lock_id;
    }

    public void setId(Object i) {
	lock_id = i;
    }

    public long getTimeStamp() {
	return timestamp;
    }


    public void setTimeStamp(long tt) {
	timestamp = tt;
    }

}
